SparkFun MCP9600 Arduino Library [![Build Status](https://travis-ci.org/sparkfun/SparkFun_MCP9600_Arduino_Library.svg?branch=master)](https://travis-ci.org/sparkfun/SparkFun_MCP9600_Arduino_Library)
========================================

![SparkFun MCP9600 Breakout](https://cdn.sparkfun.com//assets/parts/1/4/1/0/0/15508-Qwiic_Thermocouple_Amplifier_-_MCP9600-01.jpg)

This library allows the user to:

* Read temperature in Celcius or Fahrenheit
* Use a variety of thermocouple types
* Configure the onboard exponential moving average filter
* Set up continuous and burst conversion modes
* Configure temperature alerts


Repository Contents
-------------------

* **/examples** - Example sketches for the library (.ino). Run these from the Arduino IDE. 
* **/src** - Source files for the library (.cpp, .h).
* **keywords.txt** - Keywords from this library that will be highlighted in the Arduino IDE. 
* **library.properties** - General library properties for the Arduino package manager. 

Documentation
--------------

* **[Installing an Arduino Library Guide](https://learn.sparkfun.com/tutorials/installing-an-arduino-library)** - Basic information on how to install an Arduino library.
* **[Product Repository](https://github.com/sparkfunX/Qwiic_MCP9600_Thermocouple)** - Main repository (including hardware files) for the SparkFun MCP9600 Breakout.

Products that use this Library 
---------------------------------

* [*SPX-15508*](https://www.sparkfun.com/products/15508)

Version History
---------------

* [v1.0.0](https://github.com/sparkfun/SparkFun_MCP9600_Arduino_Library/releases/tag/1.0.0) - Initial Public release.
* [v1.0.1](https://github.com/sparkfun/SparkFun_MCP9600_Arduino_Library/releases/tag/v1.0.1) - More architecture support.

License Information
-------------------

This product is _**open source**_! 

Please review the LICENSE.md file for license information. 

If you have any questions or concerns on licensing, please contact support@sparkfun.com.

Distributed as-is; no warranty is given.

- Your friends at SparkFun.
